import { funktionEinfacheInterpolation } from "./funktionEinfacheInterpolation.js";
export function funktionHilfsenergieTrinkwarmWasserLaufzeitZirkulationsPumpeT45(GebaeudeTyp: string, NettoGrundFlaeche: number) {

    if (NettoGrundFlaeche < 50) { NettoGrundFlaeche = 50; }
    if (NettoGrundFlaeche > 5000) { NettoGrundFlaeche = 5000; } 

const dataset = [
    {SuchSpalte: ["Nettogrundfläche"], DatenSpalte: [50,100,150,200,300,400,500,600,700,800,900,1000,2000,3000,4000,5000,5000]},
    {SuchSpalte: ["Einfamilienhaus"], DatenSpalte: [10.9,11.8,12.5,13.1,14.2,15.1,15.9,15.9,15.9,15.9,15.9,15.9,15.9,15.9,15.9,15.9,15.9]},
    {SuchSpalte: ["Mehrfamilienhaus"], DatenSpalte: [16.0,16.0,16.0,16.0,16.0,16.0,16.0,16.5,17.1,17.5,18.0,18.3,20.5,21.5,22.1,22.5,24]}
];

const HilfsenergieTrinkwarmWasserLaufzeitZirkulationsPumpe = funktionEinfacheInterpolation(NettoGrundFlaeche, GebaeudeTyp, dataset);
return HilfsenergieTrinkwarmWasserLaufzeitZirkulationsPumpe;

}